Closed Bug 1404323 Opened 2 years ago Closed 2 years ago

Elements with a shadow over video (animated) content are blinking

Categories

(Core :: Graphics, defect, P1)

51 Branch
Unspecified
Linux
defect

Tracking

()

RESOLVED FIXED
mozilla58
Tracking Status
firefox-esr52 --- wontfix
firefox55 --- wontfix
firefox56 --- wontfix
firefox57 + fixed
firefox58 --- fixed

People

(Reporter: kkarpieszuk, Assigned: lsalzman)

References

Details

(Keywords: regression, Whiteboard: [gfx-noted])

Attachments

(2 files)

Attached video blinkingvideo.ogv
User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:58.0) Gecko/20100101 Firefox/58.0
Build ID: 20170928220658

Steps to reproduce:

Visit any video page (could be Youtube) and display video. 
Mouse over video to make visible progress bar and other video UI elements


Actual results:

Here is a video how it looks:

https://youtu.be/PRChzXmbBPU

You can see some glitches with not correctly rendered shadow (semi-transparent elements). 




Expected results:

No blinking glitches
here is additional info about my Firefox:

{
  "application": {
    "name": "Firefox",
    "osVersion": "Linux 4.4.0-36-generic",
    "version": "58.0a1",
    "buildID": "20170928220658",
    "userAgent": "Mozilla/5.0 (X11; Linux x86_64; rv:58.0) Gecko/20100101 Firefox/58.0",
    "safeMode": false,
    "updateChannel": "nightly",
    "supportURL": "https://support.mozilla.org/1/firefox/58.0a1/Linux/pl/",
    "numTotalWindows": 1,
    "numRemoteWindows": 1,
    "remoteAutoStart": true,
    "currentContentProcesses": 4,
    "maxContentProcesses": 4,
    "autoStartStatus": 1,
    "styloBuild": true,
    "styloDefault": true,
    "styloResult": true,
    "keyGoogleFound": true,
    "keyMozillaFound": true
  },
  "modifiedPreferences": {
    "accessibility.typeaheadfind.flashBar": 0,
    "browser.cache.disk.filesystem_reported": 1,
    "browser.cache.disk.hashstats_reported": 1,
    "browser.cache.disk.smart_size.first_run": false,
    "browser.cache.frecency_experiment": 2,
    "browser.cache.disk.smart_size.use_old_max": false,
    "browser.cache.disk.capacity": 153600,
    "browser.cache.disk.smart_size.enabled": false,
    "browser.places.smartBookmarksVersion": 8,
    "browser.sessionstore.upgradeBackup.latestBuildID": "20170928220658",
    "browser.startup.homepage_override.mstone": "58.0a1",
    "browser.startup.homepage_override.buildID": "20170928220658",
    "browser.tabs.warnOnClose": false,
    "browser.tabs.crashReporting.includeURL": true,
    "browser.urlbar.usepreloadedtopurls.enabled": false,
    "browser.urlbar.searchSuggestionsChoice": false,
    "browser.urlbar.userMadeSearchSuggestionsChoice": true,
    "dom.apps.lastUpdate.buildID": "20161025170457",
    "dom.push.enabled": false,
    "dom.forms.autocomplete.formautofill": true,
    "dom.apps.reset-permissions": true,
    "dom.apps.lastUpdate.mstone": "49.0.2",
    "dom.mozApps.used": true,
    "extensions.lastAppVersion": "58.0a1",
    "font.name.serif.x-western": "sans-serif",
    "font.internaluseonly.changed": false,
    "gfx.crash-guard.glcontext.driverVersion": "3.0 Mesa 10.5.9",
    "gfx.crash-guard.glcontext.deviceID": "Mesa DRI Intel(R) Sandybridge Mobile ",
    "gfx.crash-guard.glcontext.appVersion": "45.0.2",
    "gfx.crash-guard.status.glcontext": 2,
    "media.webrtc.debug.aec_log_dir": "/tmp",
    "media.webrtc.debug.log_file": "/tmp/WebRTC.log",
    "media.gmp-gmpopenh264.lastUpdate": 1471461142,
    "media.gmp-gmpopenh264.abi": "x86_64-gcc3",
    "media.gmp-manager.lastCheck": 1506672456,
    "media.youtube-ua.override.to": "43",
    "media.gmp.storage.version.observed": 1,
    "media.gmp-gmpopenh264.version": "1.6",
    "media.gmp-manager.buildID": "20170928220658",
    "network.prefetch-next": false,
    "network.dns.disablePrefetch": true,
    "network.http.speculative-parallel-limit": 0,
    "network.predictor.enabled": false,
    "network.predictor.cleaned-up": true,
    "network.cookie.prefsMigrated": true,
    "places.history.expiration.transient_current_max_pages": 138492,
    "places.database.lastMaintenance": 1506664546,
    "plugin.importedState": true,
    "plugin.disable_full_page_plugin_for_types": "application/pdf",
    "plugins.ctprollout.cohortSample": "0.172788",
    "plugins.ctprollout.cohort": "user-changed-from-test",
    "print.print_paper_width": "  8,27",
    "print.print_to_file": false,
    "print.print_margin_top": "0.5",
    "print.print_paper_name": "iso_a4",
    "print.print_orientation": 0,
    "print.print_margin_right": "0.5",
    "print.print_paper_height": " 11,69",
    "print.print_scaling": "  1,00",
    "print.print_unwriteable_margin_left": 25,
    "print.print_paper_size_unit": 0,
    "print.print_unwriteable_margin_bottom": 56,
    "print.print_paper_data": 0,
    "print.print_oddpages": true,
    "print.print_bgcolor": false,
    "print.print_unwriteable_margin_right": 25,
    "print.print_bgimages": false,
    "print.print_duplex": 0,
    "print.print_evenpages": true,
    "print.print_margin_bottom": "0.5",
    "print.print_margin_left": "0.5",
    "print.print_shrink_to_fit": true,
    "print.print_unwriteable_margin_top": 25,
    "print.print_in_color": true,
    "print.print_paper_size_type": 1,
    "print.print_page_delay": 50,
    "print.print_resolution": 600,
    "privacy.sanitize.migrateClearSavedPwdsOnExit": true,
    "privacy.trackingprotection.pbmode.enabled": false,
    "privacy.sanitize.migrateFx3Prefs": true,
    "services.sync.declinedEngines": "",
    "services.sync.engine.addresses.available": true,
    "storage.vacuum.last.index": 1,
    "storage.vacuum.last.places.sqlite": 1504769376
  },
  "lockedPreferences": {},
  "media": {
    "currentAudioBackend": "pulse-rust",
    "currentMaxAudioChannels": 2,
    "currentPreferredChannelLayout": "stereo",
    "currentPreferredSampleRate": 44100,
    "audioOutputDevices": [
      {
        "name": "Wbudowany dźwięk Analogowe stereo",
        "groupId": "/devices/pci0000:00/0000:00:1b.0/sound/card0",
        "vendor": "Intel Corporation",
        "type": 2,
        "state": 2,
        "preferred": 15,
        "supportedFormat": 12336,
        "defaultFormat": 16,
        "maxChannels": 2,
        "defaultRate": 44100,
        "maxRate": 384000,
        "minRate": 1,
        "maxLatency": 0,
        "minLatency": 0
      }
    ],
    "audioInputDevices": [
      {
        "name": "Monitor of Wbudowany dźwięk Analogowe stereo",
        "groupId": "/devices/pci0000:00/0000:00:1b.0/sound/card0",
        "vendor": "Intel Corporation",
        "type": 1,
        "state": 2,
        "preferred": 0,
        "supportedFormat": 12336,
        "defaultFormat": 16,
        "maxChannels": 2,
        "defaultRate": 44100,
        "maxRate": 384000,
        "minRate": 1,
        "maxLatency": 0,
        "minLatency": 0
      },
      {
        "name": "Wbudowany dźwięk Analogowe stereo",
        "groupId": "/devices/pci0000:00/0000:00:1b.0/sound/card0",
        "vendor": "Intel Corporation",
        "type": 1,
        "state": 2,
        "preferred": 15,
        "supportedFormat": 12336,
        "defaultFormat": 16,
        "maxChannels": 2,
        "defaultRate": 44100,
        "maxRate": 384000,
        "minRate": 1,
        "maxLatency": 0,
        "minLatency": 0
      }
    ]
  },
  "javaScript": {
    "incrementalGCEnabled": true
  },
  "accessibility": {
    "isActive": false,
    "forceDisabled": 0,
    "handlerUsed": false,
    "instantiator": ""
  },
  "libraryVersions": {
    "NSPR": {
      "minVersion": "4.17",
      "version": "4.17"
    },
    "NSS": {
      "minVersion": "3.33",
      "version": "3.33"
    },
    "NSSUTIL": {
      "minVersion": "3.33",
      "version": "3.33"
    },
    "NSSSSL": {
      "minVersion": "3.33",
      "version": "3.33"
    },
    "NSSSMIME": {
      "minVersion": "3.33",
      "version": "3.33"
    }
  },
  "userJS": {
    "exists": false
  },
  "crashes": {
    "submitted": [],
    "pending": 0
  },
  "sandbox": {
    "hasSeccompBPF": true,
    "hasSeccompTSync": true,
    "hasPrivilegedUserNamespaces": true,
    "hasUserNamespaces": true,
    "canSandboxContent": true,
    "canSandboxMedia": true,
    "syscallLog": [],
    "contentSandboxLevel": 3,
    "effectiveContentSandboxLevel": 3
  },
  "graphics": {
    "numTotalWindows": 1,
    "numAcceleratedWindows": 0,
    "windowLayerManagerType": "Basic",
    "windowLayerManagerRemote": true,
    "windowUsingAdvancedLayers": false,
    "numAcceleratedWindowsMessage": [
      ""
    ],
    "adapterDescription": "Intel Open Source Technology Center -- Mesa DRI Intel(R) Sandybridge Mobile ",
    "adapterVendorID": "Intel Open Source Technology Center",
    "adapterDeviceID": "Mesa DRI Intel(R) Sandybridge Mobile ",
    "adapterRAM": "",
    "adapterDrivers": "",
    "driverVersion": "3.0 Mesa 11.2.0",
    "driverDate": "",
    "offMainThreadPaintEnabled": false,
    "webgl1Renderer": "Intel Open Source Technology Center -- Mesa DRI Intel(R) Sandybridge Mobile ",
    "webgl1Version": "3.0 Mesa 11.2.0",
    "webgl1DriverExtensions": "GL_ARB_multisample GL_EXT_abgr GL_EXT_bgra GL_EXT_blend_color GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_copy_texture GL_EXT_polygon_offset GL_EXT_subtexture GL_EXT_texture_object GL_EXT_vertex_array GL_EXT_compiled_vertex_array GL_EXT_texture GL_EXT_texture3D GL_IBM_rasterpos_clip GL_ARB_point_parameters GL_EXT_draw_range_elements GL_EXT_packed_pixels GL_EXT_point_parameters GL_EXT_rescale_normal GL_EXT_separate_specular_color GL_EXT_texture_edge_clamp GL_SGIS_generate_mipmap GL_SGIS_texture_border_clamp GL_SGIS_texture_edge_clamp GL_SGIS_texture_lod GL_ARB_framebuffer_sRGB GL_ARB_multitexture GL_EXT_framebuffer_sRGB GL_IBM_multimode_draw_arrays GL_IBM_texture_mirrored_repeat GL_3DFX_texture_compression_FXT1 GL_ARB_texture_cube_map GL_ARB_texture_env_add GL_ARB_transpose_matrix GL_EXT_blend_func_separate GL_EXT_fog_coord GL_EXT_multi_draw_arrays GL_EXT_secondary_color GL_EXT_texture_env_add GL_EXT_texture_filter_anisotropic GL_EXT_texture_lod_bias GL_INGR_blend_func_separate GL_NV_blend_square GL_NV_light_max_exponent GL_NV_texgen_reflection GL_NV_texture_env_combine4 GL_S3_s3tc GL_SUN_multi_draw_arrays GL_ARB_texture_border_clamp GL_ARB_texture_compression GL_EXT_framebuffer_object GL_EXT_texture_compression_s3tc GL_EXT_texture_env_combine GL_EXT_texture_env_dot3 GL_MESA_window_pos GL_NV_packed_depth_stencil GL_NV_texture_rectangle GL_ARB_depth_texture GL_ARB_occlusion_query GL_ARB_shadow GL_ARB_texture_env_combine GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3 GL_ARB_texture_mirrored_repeat GL_ARB_window_pos GL_EXT_stencil_two_side GL_EXT_texture_cube_map GL_NV_depth_clamp GL_APPLE_packed_pixels GL_APPLE_vertex_array_object GL_ARB_draw_buffers GL_ARB_fragment_program GL_ARB_fragment_shader GL_ARB_shader_objects GL_ARB_vertex_program GL_ARB_vertex_shader GL_ATI_draw_buffers GL_ATI_texture_env_combine3 GL_ATI_texture_float GL_EXT_shadow_funcs GL_EXT_stencil_wrap GL_MESA_pack_invert GL_NV_primitive_restart GL_ARB_depth_clamp GL_ARB_fragment_program_shadow GL_ARB_half_float_pixel GL_ARB_occlusion_query2 GL_ARB_point_sprite GL_ARB_shading_language_100 GL_ARB_sync GL_ARB_texture_non_power_of_two GL_ARB_vertex_buffer_object GL_ATI_blend_equation_separate GL_EXT_blend_equation_separate GL_OES_read_format GL_ARB_color_buffer_float GL_ARB_pixel_buffer_object GL_ARB_texture_compression_rgtc GL_ARB_texture_float GL_ARB_texture_rectangle GL_EXT_packed_float GL_EXT_pixel_buffer_object GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_rgtc GL_EXT_texture_rectangle GL_EXT_texture_sRGB GL_EXT_texture_shared_exponent GL_ARB_framebuffer_object GL_EXT_framebuffer_blit GL_EXT_framebuffer_multisample GL_EXT_packed_depth_stencil GL_APPLE_object_purgeable GL_ARB_vertex_array_object GL_ATI_separate_stencil GL_EXT_draw_buffers2 GL_EXT_draw_instanced GL_EXT_gpu_program_parameters GL_EXT_texture_array GL_EXT_texture_integer GL_EXT_texture_sRGB_decode GL_EXT_timer_query GL_OES_EGL_image GL_AMD_performance_monitor GL_ARB_copy_buffer GL_ARB_depth_buffer_float GL_ARB_draw_instanced GL_ARB_half_float_vertex GL_ARB_instanced_arrays GL_ARB_map_buffer_range GL_ARB_texture_rg GL_ARB_texture_swizzle GL_ARB_vertex_array_bgra GL_EXT_texture_swizzle GL_EXT_vertex_array_bgra GL_NV_conditional_render GL_AMD_draw_buffers_blend GL_AMD_seamless_cubemap_per_texture GL_ARB_ES2_compatibility GL_ARB_blend_func_extended GL_ARB_debug_output GL_ARB_draw_buffers_blend GL_ARB_draw_elements_base_vertex GL_ARB_explicit_attrib_location GL_ARB_fragment_coord_conventions GL_ARB_provoking_vertex GL_ARB_sample_shading GL_ARB_sampler_objects GL_ARB_seamless_cube_map GL_ARB_shader_texture_lod GL_ARB_texture_cube_map_array GL_ARB_texture_gather GL_ARB_texture_multisample GL_ARB_texture_query_lod GL_ARB_texture_rgb10_a2ui GL_ARB_uniform_buffer_object GL_ARB_vertex_type_2_10_10_10_rev GL_EXT_provoking_vertex GL_EXT_texture_snorm GL_MESA_texture_signed_rgba GL_NV_texture_barrier GL_ARB_get_program_binary GL_ARB_robustness GL_ARB_separate_shader_objects GL_ARB_shader_bit_encoding GL_ARB_timer_query GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ARB_compressed_texture_pixel_storage GL_ARB_internalformat_query GL_ARB_map_buffer_alignment GL_ARB_shading_language_420pack GL_ARB_shading_language_packing GL_ARB_texture_storage GL_EXT_framebuffer_multisample_blit_scaled GL_EXT_transform_feedback GL_AMD_shader_trinary_minmax GL_ARB_ES3_compatibility GL_ARB_arrays_of_arrays GL_ARB_clear_buffer_object GL_ARB_copy_image GL_ARB_explicit_uniform_location GL_ARB_invalidate_subdata GL_ARB_program_interface_query GL_ARB_texture_query_levels GL_ARB_texture_storage_multisample GL_ARB_vertex_attrib_binding GL_KHR_debug GL_ARB_buffer_storage GL_ARB_clear_texture GL_ARB_multi_bind GL_ARB_seamless_cubemap_per_texture GL_ARB_shader_draw_parameters GL_ARB_texture_mirror_clamp_to_edge GL_ARB_vertex_type_10f_11f_11f_rev GL_EXT_shader_integer_mix GL_INTEL_performance_query GL_ARB_clip_control GL_ARB_conditional_render_inverted GL_ARB_get_texture_sub_image GL_ARB_pipeline_statistics_query GL_ARB_texture_barrier GL_EXT_polygon_offset_clamp GL_KHR_context_flush_control ",
    "webgl1Extensions": "ANGLE_instanced_arrays EXT_blend_minmax EXT_color_buffer_half_float EXT_frag_depth EXT_sRGB EXT_shader_texture_lod EXT_texture_filter_anisotropic EXT_disjoint_timer_query OES_element_index_uint OES_standard_derivatives OES_texture_float OES_texture_float_linear OES_texture_half_float OES_texture_half_float_linear OES_vertex_array_object WEBGL_color_buffer_float WEBGL_compressed_texture_etc WEBGL_compressed_texture_s3tc WEBGL_compressed_texture_s3tc_srgb WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_depth_texture WEBGL_draw_buffers WEBGL_lose_context",
    "webgl1WSIInfo": "GLX 1.4\nGLX_VENDOR(client): Mesa Project and SGI\nGLX_VENDOR(server): SGI\nExtensions: GLX_ARB_create_context GLX_ARB_create_context_profile GLX_ARB_create_context_robustness GLX_ARB_fbconfig_float GLX_ARB_framebuffer_sRGB GLX_ARB_get_proc_address GLX_ARB_multisample GLX_EXT_import_context GLX_EXT_visual_info GLX_EXT_visual_rating GLX_EXT_fbconfig_packed_float GLX_EXT_framebuffer_sRGB GLX_EXT_create_context_es2_profile GLX_EXT_create_context_es_profile GLX_MESA_copy_sub_buffer GLX_MESA_multithread_makecurrent GLX_MESA_query_renderer GLX_MESA_swap_control GLX_OML_swap_method GLX_OML_sync_control GLX_SGI_make_current_read GLX_SGI_swap_control GLX_SGI_video_sync GLX_SGIS_multisample GLX_SGIX_fbconfig GLX_SGIX_pbuffer GLX_SGIX_visual_select_group GLX_EXT_texture_from_pixmap GLX_INTEL_swap_event ",
    "webgl2Renderer": "WebGL creation failed: \n* WebGL 2 requires support for the following features: \n  transform_feedback2\n* Exhausted GL driver options.",
    "webgl2Version": "-",
    "webgl2DriverExtensions": "-",
    "webgl2Extensions": "-",
    "webgl2WSIInfo": "-",
    "info": {
      "AzureCanvasBackend": "skia",
      "AzureFallbackCanvasBackend": "none",
      "AzureContentBackend": "skia",
      "AzureCanvasAccelerated": 0,
      "CairoUseXRender": 0,
      "ApzWheelInput": 1,
      "ApzDragInput": 1,
      "ApzKeyboardInput": 1,
      "ApzAutoscrollInput": 1
    },
    "featureLog": {
      "features": [
        {
          "name": "HW_COMPOSITING",
          "description": "Compositing",
          "status": "blocked",
          "log": [
            {
              "type": "default",
              "status": "blocked",
              "message": "Acceleration blocked by platform"
            }
          ]
        },
        {
          "name": "OPENGL_COMPOSITING",
          "description": "OpenGL Compositing",
          "status": "unavailable",
          "log": [
            {
              "type": "default",
              "status": "unavailable",
              "message": "Hardware compositing is disabled"
            }
          ]
        },
        {
          "name": "WEBRENDER",
          "description": "WebRender",
          "status": "unavailable",
          "log": [
            {
              "type": "default",
              "status": "opt-in",
              "message": "WebRender is an opt-in feature"
            },
            {
              "type": "runtime",
              "status": "unavailable",
              "message": "Hardware compositing is disabled"
            }
          ]
        }
      ],
      "fallbacks": []
    },
    "crashGuards": []
  },
  "experiments": [],
  "extensions": [
    {
      "name": "Grammarly for Firefox",
      "version": "8.793.1186",
      "isActive": true,
      "id": "87677a2c52b84ad3a151a4a72f5bd3c4@jetpack"
    },
    {
      "name": "Pushbullet",
      "version": "335",
      "isActive": true,
      "id": "jid1-BYcQOfYfmBMd9A@jetpack"
    },
    {
      "name": "uBlock Origin",
      "version": "1.14.11rc7",
      "isActive": true,
      "id": "uBlock0@raymondhill.net"
    },
    {
      "name": "User-Agent Switcher",
      "version": "0.1.9",
      "isActive": true,
      "id": "{75afe46a-7a50-4c6b-b866-c43a1075b071}"
    },
    {
      "name": "Conex",
      "version": "0.0.50",
      "isActive": false,
      "id": "{ec9d70ea-0229-49c0-bbf7-0df9bbccde35}"
    },
    {
      "name": "DblClicker",
      "version": "1.8.1",
      "isActive": false,
      "id": "dblclicker@byo.co.il"
    },
    {
      "name": "Ghostery",
      "version": "7.3.3.7",
      "isActive": false,
      "id": "firefox@ghostery.com"
    },
    {
      "name": "snoozetabs",
      "version": "1.0.17",
      "isActive": false,
      "id": "snoozetabs@mozilla.com"
    },
    {
      "name": "Stylish",
      "version": "2.0.7",
      "isActive": false,
      "id": "{46551EC9-40F0-4e47-8E18-8E5CF550CFB8}"
    },
    {
      "name": "Super Start",
      "version": "7.4.0.1-signed",
      "isActive": false,
      "id": "superstart@enjoyfreeware.org"
    },
    {
      "name": "Tab Groups",
      "version": "2.1.4",
      "isActive": false,
      "id": "tabgroups@quicksaver"
    },
    {
      "name": "Test Pilot",
      "version": "2.0.4-dev-05dbd9e",
      "isActive": false,
      "id": "@testpilot-addon"
    },
    {
      "name": "Testpilot containers",
      "version": "3.1.0",
      "isActive": false,
      "id": "@testpilot-containers"
    },
    {
      "name": "Ubuntu Modifications",
      "version": "3.4",
      "isActive": false,
      "id": "ubufox@ubuntu.com"
    },
    {
      "name": "Wikiwand: Wikipedia Modernized",
      "version": "4.5.13",
      "isActive": false,
      "id": "jid1-D7momAzRw417Ag@jetpack"
    }
  ],
  "features": [
    {
      "name": "Activity Stream",
      "version": "2017.09.22.1389-2ee94db4",
      "id": "activity-stream@mozilla.org"
    },
    {
      "name": "Application Update Service Helper",
      "version": "2.0",
      "id": "aushelper@mozilla.org"
    },
    {
      "name": "Firefox Screenshots",
      "version": "19.1.0",
      "id": "screenshots@mozilla.org"
    },
    {
      "name": "FlyWeb",
      "version": "1.0.0",
      "id": "flyweb@mozilla.org"
    },
    {
      "name": "Follow-on Search Telemetry",
      "version": "0.9.3",
      "id": "followonsearch@mozilla.com"
    },
    {
      "name": "Form Autofill",
      "version": "1.0",
      "id": "formautofill@mozilla.org"
    },
    {
      "name": "Multi-process staged rollout",
      "version": "3.00",
      "id": "e10srollout@mozilla.org"
    },
    {
      "name": "Photon onboarding",
      "version": "0.1",
      "id": "onboarding@mozilla.org"
    },
    {
      "name": "Pocket",
      "version": "1.0.5",
      "id": "firefox@getpocket.com"
    },
    {
      "name": "Presentation",
      "version": "1.0.0",
      "id": "presentation@mozilla.org"
    },
    {
      "name": "Shield Recipe Client",
      "version": "73",
      "id": "shield-recipe-client@mozilla.org"
    },
    {
      "name": "Web Compat",
      "version": "1.1",
      "id": "webcompat@mozilla.org"
    },
    {
      "name": "WebCompat Reporter",
      "version": "1.0.0",
      "id": "webcompat-reporter@mozilla.org"
    }
  ]
}
Additional info: I see this for last 4-5 days (don't know exactly when it started but I am on nightly for one month now and this is quite new).
Component: Untriaged → Graphics
Product: Firefox → Core
KonradK, would you mind trying mozregression tool (http://mozilla.github.io/mozregression/quickstart.html) to give us more detail as to when this started, given that it's fairly new?
Priority: -- → P2
Whiteboard: [gfx-noted]
@milan, wow, this tool is great :)

here is a result:

Bisection informations:
--------------------
pushlog_url: https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=ca7d18dbacbf103d74a3213d8d08a7c3e4def9a2&tochange=3d72fdb0e561ea59d9e5850c3e71367dbb8a7148
repo_name: mozilla-central


Log view:
--------------------
2017-09-29T22:19:12: WARNING : Skipping build 2017-09-27: Unable to find build info for 2017-09-27
2017-09-29T22:20:19: INFO : Running mozilla-central build for 2017-03-25
2017-09-29T22:20:45: INFO : Launching /tmp/tmpmygsJg/firefox/firefox
2017-09-29T22:20:45: INFO : Application command: /tmp/tmpmygsJg/firefox/firefox -profile /tmp/tmpBDAVI5.mozrunner
2017-09-29T22:20:45: INFO : application_buildid: 20170325110246
2017-09-29T22:20:45: INFO : application_changeset: 65b0ac174753b22c01156d72fb42d2abd3176dd1
2017-09-29T22:20:45: INFO : application_display_name: Nightly
2017-09-29T22:20:45: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-09-29T22:20:45: INFO : application_name: Firefox
2017-09-29T22:20:45: INFO : application_remotingname: firefox
2017-09-29T22:20:45: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-09-29T22:20:45: INFO : application_vendor: Mozilla
2017-09-29T22:20:45: INFO : application_version: 55.0a1
2017-09-29T22:20:45: INFO : platform_buildid: 20170325110246
2017-09-29T22:20:45: INFO : platform_changeset: 65b0ac174753b22c01156d72fb42d2abd3176dd1
2017-09-29T22:20:45: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-09-29T22:20:45: INFO : platform_version: 55.0a1
2017-09-29T22:20:46: INFO : 
2017-09-29T22:20:46: INFO : (firefox:8574): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:20:46: INFO : 
2017-09-29T22:20:46: INFO : (firefox:8574): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:20:46: INFO : 
2017-09-29T22:20:46: INFO : (firefox:8574): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:20:46: INFO : 
2017-09-29T22:20:46: INFO : (firefox:8574): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:20:46: INFO : 1506716446620	addons.xpi-utils	WARN	Disabling foreign installed add-on ubufox@ubuntu.com in app-system-share
2017-09-29T22:20:53: INFO : 
2017-09-29T22:20:53: INFO : (/tmp/tmpmygsJg/firefox/firefox:8695): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:20:53: INFO : 
2017-09-29T22:20:53: INFO : (/tmp/tmpmygsJg/firefox/firefox:8695): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:20:53: INFO : 
2017-09-29T22:20:53: INFO : (/tmp/tmpmygsJg/firefox/firefox:8672): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:20:53: INFO : 
2017-09-29T22:20:53: INFO : (/tmp/tmpmygsJg/firefox/firefox:8672): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:20:53: INFO : 
2017-09-29T22:20:53: INFO : (/tmp/tmpmygsJg/firefox/firefox:8695): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:20:53: INFO : 
2017-09-29T22:20:53: INFO : (/tmp/tmpmygsJg/firefox/firefox:8695): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:20:53: INFO : 
2017-09-29T22:20:53: INFO : (/tmp/tmpmygsJg/firefox/firefox:8672): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:20:53: INFO : 
2017-09-29T22:20:53: INFO : (/tmp/tmpmygsJg/firefox/firefox:8672): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:21:21: INFO : Narrowed nightly regression window from [2016-09-20, 2017-09-26] (371 days) to [2017-03-25, 2017-09-26] (185 days) (~7 steps left)
2017-09-29T22:21:21: INFO : Running mozilla-central build for 2017-06-26
2017-09-29T22:21:50: INFO : Launching /tmp/tmpY01qh6/firefox/firefox
2017-09-29T22:21:50: INFO : Application command: /tmp/tmpY01qh6/firefox/firefox -profile /tmp/tmpMYjytW.mozrunner
2017-09-29T22:21:50: INFO : application_buildid: 20170626100316
2017-09-29T22:21:50: INFO : application_changeset: d50abca6521baeae8ac6b07ddf843d63a1aa5f84
2017-09-29T22:21:50: INFO : application_display_name: Nightly
2017-09-29T22:21:50: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-09-29T22:21:50: INFO : application_name: Firefox
2017-09-29T22:21:50: INFO : application_remotingname: firefox
2017-09-29T22:21:50: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-09-29T22:21:50: INFO : application_vendor: Mozilla
2017-09-29T22:21:50: INFO : application_version: 56.0a1
2017-09-29T22:21:50: INFO : platform_buildid: 20170626100316
2017-09-29T22:21:50: INFO : platform_changeset: d50abca6521baeae8ac6b07ddf843d63a1aa5f84
2017-09-29T22:21:50: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-09-29T22:21:50: INFO : platform_version: 56.0a1
2017-09-29T22:21:50: INFO : 1506716510946	addons.xpi-utils	WARN	Disabling foreign installed add-on ubufox@ubuntu.com in app-system-share
2017-09-29T22:21:51: INFO : 
2017-09-29T22:21:51: INFO : (firefox:8787): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:21:51: INFO : 
2017-09-29T22:21:51: INFO : (firefox:8787): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:21:51: INFO : 
2017-09-29T22:21:51: INFO : (firefox:8787): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:21:51: INFO : 
2017-09-29T22:21:51: INFO : (firefox:8787): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:21:56: INFO : 
2017-09-29T22:21:56: INFO : (/tmp/tmpY01qh6/firefox/firefox:8839): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:21:56: INFO : 
2017-09-29T22:21:56: INFO : (/tmp/tmpY01qh6/firefox/firefox:8839): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:21:56: INFO : 
2017-09-29T22:21:56: INFO : (/tmp/tmpY01qh6/firefox/firefox:8860): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:21:56: INFO : 
2017-09-29T22:21:56: INFO : (/tmp/tmpY01qh6/firefox/firefox:8860): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:21:56: INFO : 
2017-09-29T22:21:56: INFO : (/tmp/tmpY01qh6/firefox/firefox:8839): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:21:56: INFO : 
2017-09-29T22:21:56: INFO : (/tmp/tmpY01qh6/firefox/firefox:8839): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:21:56: INFO : 
2017-09-29T22:21:56: INFO : (/tmp/tmpY01qh6/firefox/firefox:8860): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:21:56: INFO : 
2017-09-29T22:21:56: INFO : (/tmp/tmpY01qh6/firefox/firefox:8860): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:21:56: INFO : 
2017-09-29T22:21:56: INFO : (/tmp/tmpY01qh6/firefox/firefox:8889): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:21:56: INFO : 
2017-09-29T22:21:56: INFO : (/tmp/tmpY01qh6/firefox/firefox:8889): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:21:56: INFO : 
2017-09-29T22:21:56: INFO : (/tmp/tmpY01qh6/firefox/firefox:8889): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:21:56: INFO : 
2017-09-29T22:21:56: INFO : (/tmp/tmpY01qh6/firefox/firefox:8889): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:22:19: INFO : Narrowed nightly regression window from [2017-03-25, 2017-09-26] (185 days) to [2017-06-26, 2017-09-26] (92 days) (~6 steps left)
2017-09-29T22:22:31: INFO : Running mozilla-central build for 2017-08-11
2017-09-29T22:23:00: INFO : Launching /tmp/tmpLw52v2/firefox/firefox
2017-09-29T22:23:00: INFO : Application command: /tmp/tmpLw52v2/firefox/firefox -profile /tmp/tmpFk0XPG.mozrunner
2017-09-29T22:23:00: INFO : application_buildid: 20170811100330
2017-09-29T22:23:00: INFO : application_changeset: 64f5e3f40f0e7accb12cd90080e58eff0be46383
2017-09-29T22:23:00: INFO : application_display_name: Nightly
2017-09-29T22:23:00: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-09-29T22:23:00: INFO : application_name: Firefox
2017-09-29T22:23:00: INFO : application_remotingname: firefox
2017-09-29T22:23:00: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-09-29T22:23:00: INFO : application_vendor: Mozilla
2017-09-29T22:23:00: INFO : application_version: 57.0a1
2017-09-29T22:23:00: INFO : platform_buildid: 20170811100330
2017-09-29T22:23:00: INFO : platform_changeset: 64f5e3f40f0e7accb12cd90080e58eff0be46383
2017-09-29T22:23:00: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-09-29T22:23:00: INFO : platform_version: 57.0a1
2017-09-29T22:23:01: INFO : 
2017-09-29T22:23:01: INFO : (firefox:9047): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:23:01: INFO : 
2017-09-29T22:23:01: INFO : (firefox:9047): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:23:01: INFO : 
2017-09-29T22:23:01: INFO : (firefox:9047): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:23:01: INFO : 
2017-09-29T22:23:01: INFO : (firefox:9047): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:23:03: INFO : 
2017-09-29T22:23:03: INFO : (/tmp/tmpLw52v2/firefox/firefox:9099): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:23:03: INFO : 
2017-09-29T22:23:03: INFO : (/tmp/tmpLw52v2/firefox/firefox:9099): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:23:03: INFO : 
2017-09-29T22:23:03: INFO : (/tmp/tmpLw52v2/firefox/firefox:9099): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:23:03: INFO : 
2017-09-29T22:23:03: INFO : (/tmp/tmpLw52v2/firefox/firefox:9099): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:23:21: INFO : Narrowed nightly regression window from [2017-06-26, 2017-09-26] (92 days) to [2017-08-11, 2017-09-26] (46 days) (~5 steps left)
2017-09-29T22:23:40: INFO : Running mozilla-central build for 2017-09-03
2017-09-29T22:24:06: INFO : Launching /tmp/tmpp5d3d7/firefox/firefox
2017-09-29T22:24:06: INFO : Application command: /tmp/tmpp5d3d7/firefox/firefox -profile /tmp/tmp5JCfiq.mozrunner
2017-09-29T22:24:06: INFO : application_buildid: 20170903220032
2017-09-29T22:24:06: INFO : application_changeset: 8e05298328da75f3056a9f1f9609938870d756a0
2017-09-29T22:24:06: INFO : application_display_name: Nightly
2017-09-29T22:24:06: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-09-29T22:24:06: INFO : application_name: Firefox
2017-09-29T22:24:06: INFO : application_remotingname: firefox
2017-09-29T22:24:06: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-09-29T22:24:06: INFO : application_vendor: Mozilla
2017-09-29T22:24:06: INFO : application_version: 57.0a1
2017-09-29T22:24:06: INFO : platform_buildid: 20170903220032
2017-09-29T22:24:06: INFO : platform_changeset: 8e05298328da75f3056a9f1f9609938870d756a0
2017-09-29T22:24:06: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-09-29T22:24:06: INFO : platform_version: 57.0a1
2017-09-29T22:24:07: INFO : 
2017-09-29T22:24:07: INFO : (firefox:9205): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:24:07: INFO : 
2017-09-29T22:24:07: INFO : (firefox:9205): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:24:07: INFO : 
2017-09-29T22:24:07: INFO : (firefox:9205): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:24:07: INFO : 
2017-09-29T22:24:07: INFO : (firefox:9205): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:24:08: INFO : 
2017-09-29T22:24:08: INFO : (/tmp/tmpp5d3d7/firefox/firefox:9258): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:24:08: INFO : 
2017-09-29T22:24:08: INFO : (/tmp/tmpp5d3d7/firefox/firefox:9258): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:24:08: INFO : 
2017-09-29T22:24:08: INFO : (/tmp/tmpp5d3d7/firefox/firefox:9258): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:24:08: INFO : 
2017-09-29T22:24:08: INFO : (/tmp/tmpp5d3d7/firefox/firefox:9258): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:24:31: INFO : Narrowed nightly regression window from [2017-08-11, 2017-09-26] (46 days) to [2017-09-03, 2017-09-26] (23 days) (~4 steps left)
2017-09-29T22:24:43: INFO : Running mozilla-central build for 2017-09-15
2017-09-29T22:25:15: INFO : Launching /tmp/tmpBiBYbV/firefox/firefox
2017-09-29T22:25:15: INFO : Application command: /tmp/tmpBiBYbV/firefox/firefox -profile /tmp/tmp3gntsG.mozrunner
2017-09-29T22:25:15: INFO : application_buildid: 20170915220136
2017-09-29T22:25:15: INFO : application_changeset: 6be5c7d30d2def62a762ac187252eba626b23a92
2017-09-29T22:25:15: INFO : application_display_name: Nightly
2017-09-29T22:25:15: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-09-29T22:25:15: INFO : application_name: Firefox
2017-09-29T22:25:15: INFO : application_remotingname: firefox
2017-09-29T22:25:15: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-09-29T22:25:15: INFO : application_vendor: Mozilla
2017-09-29T22:25:15: INFO : application_version: 57.0a1
2017-09-29T22:25:15: INFO : platform_buildid: 20170915220136
2017-09-29T22:25:15: INFO : platform_changeset: 6be5c7d30d2def62a762ac187252eba626b23a92
2017-09-29T22:25:15: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-09-29T22:25:15: INFO : platform_version: 57.0a1
2017-09-29T22:25:17: INFO : 
2017-09-29T22:25:17: INFO : (firefox:9384): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:25:17: INFO : 
2017-09-29T22:25:17: INFO : (firefox:9384): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:25:17: INFO : 
2017-09-29T22:25:17: INFO : (firefox:9384): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:25:17: INFO : 
2017-09-29T22:25:17: INFO : (firefox:9384): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:25:17: INFO : 
2017-09-29T22:25:17: INFO : (firefox:9384): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:25:17: INFO : 
2017-09-29T22:25:17: INFO : (firefox:9384): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:25:18: INFO : 
2017-09-29T22:25:18: INFO : (/tmp/tmpBiBYbV/firefox/firefox:9433): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:25:18: INFO : 
2017-09-29T22:25:18: INFO : (/tmp/tmpBiBYbV/firefox/firefox:9433): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:25:18: INFO : 
2017-09-29T22:25:18: INFO : (/tmp/tmpBiBYbV/firefox/firefox:9433): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:25:18: INFO : 
2017-09-29T22:25:18: INFO : (/tmp/tmpBiBYbV/firefox/firefox:9433): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:25:18: INFO : 
2017-09-29T22:25:18: INFO : (/tmp/tmpBiBYbV/firefox/firefox:9433): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:25:18: INFO : 
2017-09-29T22:25:18: INFO : (/tmp/tmpBiBYbV/firefox/firefox:9433): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:26:07: INFO : Narrowed nightly regression window from [2017-09-03, 2017-09-26] (23 days) to [2017-09-15, 2017-09-26] (11 days) (~3 steps left)
2017-09-29T22:26:09: INFO : Running mozilla-central build for 2017-09-21
2017-09-29T22:26:39: INFO : Launching /tmp/tmp62_QH3/firefox/firefox
2017-09-29T22:26:39: INFO : Application command: /tmp/tmp62_QH3/firefox/firefox -profile /tmp/tmpaFXcOi.mozrunner
2017-09-29T22:26:39: INFO : application_buildid: 20170921220243
2017-09-29T22:26:39: INFO : application_changeset: ca7d18dbacbf103d74a3213d8d08a7c3e4def9a2
2017-09-29T22:26:39: INFO : application_display_name: Nightly
2017-09-29T22:26:39: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-09-29T22:26:39: INFO : application_name: Firefox
2017-09-29T22:26:39: INFO : application_remotingname: firefox
2017-09-29T22:26:39: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-09-29T22:26:39: INFO : application_vendor: Mozilla
2017-09-29T22:26:39: INFO : application_version: 58.0a1
2017-09-29T22:26:39: INFO : platform_buildid: 20170921220243
2017-09-29T22:26:39: INFO : platform_changeset: ca7d18dbacbf103d74a3213d8d08a7c3e4def9a2
2017-09-29T22:26:39: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-09-29T22:26:39: INFO : platform_version: 58.0a1
2017-09-29T22:26:40: INFO : 
2017-09-29T22:26:40: INFO : (firefox:9699): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:26:40: INFO : 
2017-09-29T22:26:40: INFO : (firefox:9699): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:26:40: INFO : 
2017-09-29T22:26:40: INFO : (firefox:9699): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:26:40: INFO : 
2017-09-29T22:26:40: INFO : (firefox:9699): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:26:40: INFO : 
2017-09-29T22:26:40: INFO : (firefox:9699): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:26:40: INFO : 
2017-09-29T22:26:40: INFO : (firefox:9699): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:26:41: INFO : 
2017-09-29T22:26:41: INFO : (/tmp/tmp62_QH3/firefox/firefox:9747): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:26:41: INFO : 
2017-09-29T22:26:41: INFO : (/tmp/tmp62_QH3/firefox/firefox:9747): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:26:41: INFO : 
2017-09-29T22:26:41: INFO : (/tmp/tmp62_QH3/firefox/firefox:9747): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:26:41: INFO : 
2017-09-29T22:26:41: INFO : (/tmp/tmp62_QH3/firefox/firefox:9747): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:26:41: INFO : 
2017-09-29T22:26:41: INFO : (/tmp/tmp62_QH3/firefox/firefox:9747): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:26:41: INFO : 
2017-09-29T22:26:41: INFO : (/tmp/tmp62_QH3/firefox/firefox:9747): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:26:44: INFO : 
2017-09-29T22:26:44: INFO : (/tmp/tmp62_QH3/firefox/firefox:9814): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:26:44: INFO : 
2017-09-29T22:26:44: INFO : (/tmp/tmp62_QH3/firefox/firefox:9814): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:26:44: INFO : 
2017-09-29T22:26:44: INFO : (/tmp/tmp62_QH3/firefox/firefox:9814): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:26:44: INFO : 
2017-09-29T22:26:44: INFO : (/tmp/tmp62_QH3/firefox/firefox:9814): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:26:44: INFO : 
2017-09-29T22:26:44: INFO : (/tmp/tmp62_QH3/firefox/firefox:9814): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:26:44: INFO : 
2017-09-29T22:26:44: INFO : (/tmp/tmp62_QH3/firefox/firefox:9814): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:27:06: INFO : Narrowed nightly regression window from [2017-09-15, 2017-09-26] (11 days) to [2017-09-21, 2017-09-26] (5 days) (~2 steps left)
2017-09-29T22:27:13: INFO : Running mozilla-central build for 2017-09-24
2017-09-29T22:27:47: INFO : Launching /tmp/tmprlZLi5/firefox/firefox
2017-09-29T22:27:47: INFO : Application command: /tmp/tmprlZLi5/firefox/firefox -profile /tmp/tmph_ys1L.mozrunner
2017-09-29T22:27:48: INFO : application_buildid: 20170924220116
2017-09-29T22:27:48: INFO : application_changeset: b44e80e0590e6eed86a1902365424673c8c2eaec
2017-09-29T22:27:48: INFO : application_display_name: Nightly
2017-09-29T22:27:48: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-09-29T22:27:48: INFO : application_name: Firefox
2017-09-29T22:27:48: INFO : application_remotingname: firefox
2017-09-29T22:27:48: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-09-29T22:27:48: INFO : application_vendor: Mozilla
2017-09-29T22:27:48: INFO : application_version: 58.0a1
2017-09-29T22:27:48: INFO : platform_buildid: 20170924220116
2017-09-29T22:27:48: INFO : platform_changeset: b44e80e0590e6eed86a1902365424673c8c2eaec
2017-09-29T22:27:48: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-09-29T22:27:48: INFO : platform_version: 58.0a1
2017-09-29T22:27:49: INFO : 
2017-09-29T22:27:49: INFO : (firefox:9908): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:27:49: INFO : 
2017-09-29T22:27:49: INFO : (firefox:9908): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:27:49: INFO : 
2017-09-29T22:27:49: INFO : (firefox:9908): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:27:49: INFO : 
2017-09-29T22:27:49: INFO : (firefox:9908): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:27:49: INFO : 
2017-09-29T22:27:49: INFO : (firefox:9908): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:27:49: INFO : 
2017-09-29T22:27:49: INFO : (firefox:9908): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:27:50: INFO : 
2017-09-29T22:27:50: INFO : (/tmp/tmprlZLi5/firefox/firefox:9959): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:27:50: INFO : 
2017-09-29T22:27:50: INFO : (/tmp/tmprlZLi5/firefox/firefox:9959): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:27:50: INFO : 
2017-09-29T22:27:50: INFO : (/tmp/tmprlZLi5/firefox/firefox:9959): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:27:50: INFO : 
2017-09-29T22:27:50: INFO : (/tmp/tmprlZLi5/firefox/firefox:9959): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:27:50: INFO : 
2017-09-29T22:27:50: INFO : (/tmp/tmprlZLi5/firefox/firefox:9959): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:27:50: INFO : 
2017-09-29T22:27:50: INFO : (/tmp/tmprlZLi5/firefox/firefox:9959): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:27:53: INFO : 
2017-09-29T22:27:53: INFO : (/tmp/tmprlZLi5/firefox/firefox:10020): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:27:53: INFO : 
2017-09-29T22:27:53: INFO : (/tmp/tmprlZLi5/firefox/firefox:10020): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:27:53: INFO : 
2017-09-29T22:27:53: INFO : (/tmp/tmprlZLi5/firefox/firefox:10020): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:27:53: INFO : 
2017-09-29T22:27:53: INFO : (/tmp/tmprlZLi5/firefox/firefox:10020): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:27:53: INFO : 
2017-09-29T22:27:53: INFO : (/tmp/tmprlZLi5/firefox/firefox:10020): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:27:53: INFO : 
2017-09-29T22:27:53: INFO : (/tmp/tmprlZLi5/firefox/firefox:10020): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:28:28: INFO : Narrowed nightly regression window from [2017-09-21, 2017-09-26] (5 days) to [2017-09-21, 2017-09-24] (3 days) (~1 steps left)
2017-09-29T22:28:33: INFO : Running mozilla-central build for 2017-09-23
2017-09-29T22:29:03: INFO : Launching /tmp/tmpUWdAfy/firefox/firefox
2017-09-29T22:29:03: INFO : Application command: /tmp/tmpUWdAfy/firefox/firefox -profile /tmp/tmpW79CkM.mozrunner
2017-09-29T22:29:03: INFO : application_buildid: 20170923220337
2017-09-29T22:29:03: INFO : application_changeset: 2d9d0bebb5c66ba3dfdffd713a888a8c49730631
2017-09-29T22:29:03: INFO : application_display_name: Nightly
2017-09-29T22:29:03: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-09-29T22:29:03: INFO : application_name: Firefox
2017-09-29T22:29:03: INFO : application_remotingname: firefox
2017-09-29T22:29:03: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-09-29T22:29:03: INFO : application_vendor: Mozilla
2017-09-29T22:29:03: INFO : application_version: 58.0a1
2017-09-29T22:29:03: INFO : platform_buildid: 20170923220337
2017-09-29T22:29:03: INFO : platform_changeset: 2d9d0bebb5c66ba3dfdffd713a888a8c49730631
2017-09-29T22:29:03: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-09-29T22:29:03: INFO : platform_version: 58.0a1
2017-09-29T22:29:04: INFO : 
2017-09-29T22:29:04: INFO : (firefox:10119): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:29:04: INFO : 
2017-09-29T22:29:04: INFO : (firefox:10119): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:29:04: INFO : 
2017-09-29T22:29:04: INFO : (firefox:10119): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:29:04: INFO : 
2017-09-29T22:29:04: INFO : (firefox:10119): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:29:04: INFO : 
2017-09-29T22:29:04: INFO : (firefox:10119): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:29:04: INFO : 
2017-09-29T22:29:04: INFO : (firefox:10119): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:29:05: INFO : 
2017-09-29T22:29:05: INFO : (/tmp/tmpUWdAfy/firefox/firefox:10166): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:29:05: INFO : 
2017-09-29T22:29:05: INFO : (/tmp/tmpUWdAfy/firefox/firefox:10166): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:29:05: INFO : 
2017-09-29T22:29:05: INFO : (/tmp/tmpUWdAfy/firefox/firefox:10166): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:29:05: INFO : 
2017-09-29T22:29:05: INFO : (/tmp/tmpUWdAfy/firefox/firefox:10166): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:29:05: INFO : 
2017-09-29T22:29:05: INFO : (/tmp/tmpUWdAfy/firefox/firefox:10166): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:29:05: INFO : 
2017-09-29T22:29:05: INFO : (/tmp/tmpUWdAfy/firefox/firefox:10166): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:29:09: INFO : 
2017-09-29T22:29:09: INFO : (/tmp/tmpUWdAfy/firefox/firefox:10223): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:29:09: INFO : 
2017-09-29T22:29:09: INFO : (/tmp/tmpUWdAfy/firefox/firefox:10223): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:29:09: INFO : 
2017-09-29T22:29:09: INFO : (/tmp/tmpUWdAfy/firefox/firefox:10223): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:29:09: INFO : 
2017-09-29T22:29:09: INFO : (/tmp/tmpUWdAfy/firefox/firefox:10223): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:29:09: INFO : 
2017-09-29T22:29:09: INFO : (/tmp/tmpUWdAfy/firefox/firefox:10223): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:29:09: INFO : 
2017-09-29T22:29:09: INFO : (/tmp/tmpUWdAfy/firefox/firefox:10223): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:29:37: INFO : Narrowed nightly regression window from [2017-09-21, 2017-09-24] (3 days) to [2017-09-21, 2017-09-23] (2 days) (~1 steps left)
2017-09-29T22:29:40: INFO : Running mozilla-central build for 2017-09-22
2017-09-29T22:30:06: INFO : Launching /tmp/tmpXgKEn3/firefox/firefox
2017-09-29T22:30:06: INFO : Application command: /tmp/tmpXgKEn3/firefox/firefox -profile /tmp/tmpRgAvTK.mozrunner
2017-09-29T22:30:06: INFO : application_buildid: 20170922220129
2017-09-29T22:30:06: INFO : application_changeset: 3d72fdb0e561ea59d9e5850c3e71367dbb8a7148
2017-09-29T22:30:06: INFO : application_display_name: Nightly
2017-09-29T22:30:06: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-09-29T22:30:06: INFO : application_name: Firefox
2017-09-29T22:30:06: INFO : application_remotingname: firefox
2017-09-29T22:30:06: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-09-29T22:30:06: INFO : application_vendor: Mozilla
2017-09-29T22:30:06: INFO : application_version: 58.0a1
2017-09-29T22:30:06: INFO : platform_buildid: 20170922220129
2017-09-29T22:30:06: INFO : platform_changeset: 3d72fdb0e561ea59d9e5850c3e71367dbb8a7148
2017-09-29T22:30:06: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-09-29T22:30:06: INFO : platform_version: 58.0a1
2017-09-29T22:30:07: INFO : 
2017-09-29T22:30:07: INFO : (firefox:10308): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:30:07: INFO : 
2017-09-29T22:30:07: INFO : (firefox:10308): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:30:07: INFO : 
2017-09-29T22:30:07: INFO : (firefox:10308): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:30:07: INFO : 
2017-09-29T22:30:07: INFO : (firefox:10308): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:30:07: INFO : 
2017-09-29T22:30:07: INFO : (firefox:10308): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:30:07: INFO : 
2017-09-29T22:30:07: INFO : (firefox:10308): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:30:08: INFO : 
2017-09-29T22:30:08: INFO : (/tmp/tmpXgKEn3/firefox/firefox:10355): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:30:08: INFO : 
2017-09-29T22:30:08: INFO : (/tmp/tmpXgKEn3/firefox/firefox:10355): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:30:08: INFO : 
2017-09-29T22:30:08: INFO : (/tmp/tmpXgKEn3/firefox/firefox:10355): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:30:08: INFO : 
2017-09-29T22:30:08: INFO : (/tmp/tmpXgKEn3/firefox/firefox:10355): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:30:08: INFO : 
2017-09-29T22:30:08: INFO : (/tmp/tmpXgKEn3/firefox/firefox:10355): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:30:08: INFO : 
2017-09-29T22:30:08: INFO : (/tmp/tmpXgKEn3/firefox/firefox:10355): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:30:11: INFO : 
2017-09-29T22:30:11: INFO : (/tmp/tmpXgKEn3/firefox/firefox:10415): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:30:11: INFO : 
2017-09-29T22:30:11: INFO : (/tmp/tmpXgKEn3/firefox/firefox:10415): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:30:11: INFO : 
2017-09-29T22:30:11: INFO : (/tmp/tmpXgKEn3/firefox/firefox:10415): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:30:11: INFO : 
2017-09-29T22:30:11: INFO : (/tmp/tmpXgKEn3/firefox/firefox:10415): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:30:11: INFO : 
2017-09-29T22:30:11: INFO : (/tmp/tmpXgKEn3/firefox/firefox:10415): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:30:11: INFO : 
2017-09-29T22:30:11: INFO : (/tmp/tmpXgKEn3/firefox/firefox:10415): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:30:44: INFO : Narrowed nightly regression window from [2017-09-21, 2017-09-23] (2 days) to [2017-09-21, 2017-09-22] (1 days) (~0 steps left)
2017-09-29T22:30:44: DEBUG : Using url: https://hg.mozilla.org/mozilla-central/json-pushes?changeset=ca7d18dbacbf103d74a3213d8d08a7c3e4def9a2
2017-09-29T22:30:45: DEBUG : Using url: https://hg.mozilla.org/mozilla-central/json-pushes?fromchange=ca7d18dbacbf103d74a3213d8d08a7c3e4def9a2&tochange=3d72fdb0e561ea59d9e5850c3e71367dbb8a7148
2017-09-29T22:30:45: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.ca7d18dbacbf103d74a3213d8d08a7c3e4def9a2.firefox.linux64-opt'
2017-09-29T22:30:45: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.3d72fdb0e561ea59d9e5850c3e71367dbb8a7148.firefox.linux64-opt'
2017-09-29T22:30:48: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.82b2ae0b03ca1d99d1fe6a9944c450dba3b2bc97.firefox.linux64-opt'
2017-09-29T22:30:56: WARNING : Skipping build 82b2ae0b03ca: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.82b2ae0b03ca1d99d1fe6a9944c450dba3b2bc97.firefox.linux64-opt'
2017-09-29T22:30:56: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.5a63d8457a2a69a2ad54a50765bff412580df2a4.firefox.linux64-opt'
2017-09-29T22:31:52: INFO : Running mozilla-central build built on 2017-09-22 10:17:41.850000, revision 5a63d845
2017-09-29T22:31:52: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.14db7c0bcf9ae86c9ec2cc9d3c249a42e459a2a9.firefox.linux64-opt'
2017-09-29T22:31:54: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.68b1c083356d77c81cb6f929165f7553b2835120.firefox.linux64-opt'
2017-09-29T22:32:01: WARNING : Skipping build 68b1c083356d: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.68b1c083356d77c81cb6f929165f7553b2835120.firefox.linux64-opt'
2017-09-29T22:32:01: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.97282b0c985aa1778ced171514d1ae61945c634c.firefox.linux64-opt'
2017-09-29T22:32:19: INFO : Launching /tmp/tmpICgGIL/firefox/firefox
2017-09-29T22:32:19: INFO : Application command: /tmp/tmpICgGIL/firefox/firefox -profile /tmp/tmpKEsRqC.mozrunner
2017-09-29T22:32:19: INFO : application_buildid: 20170922092649
2017-09-29T22:32:19: INFO : application_changeset: 5a63d8457a2a69a2ad54a50765bff412580df2a4
2017-09-29T22:32:19: INFO : application_display_name: Nightly
2017-09-29T22:32:19: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-09-29T22:32:19: INFO : application_name: Firefox
2017-09-29T22:32:19: INFO : application_remotingname: firefox
2017-09-29T22:32:19: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-09-29T22:32:19: INFO : application_vendor: Mozilla
2017-09-29T22:32:19: INFO : application_version: 58.0a1
2017-09-29T22:32:19: INFO : platform_buildid: 20170922092649
2017-09-29T22:32:19: INFO : platform_changeset: 5a63d8457a2a69a2ad54a50765bff412580df2a4
2017-09-29T22:32:19: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-09-29T22:32:19: INFO : platform_version: 58.0a1
2017-09-29T22:32:39: INFO : 
2017-09-29T22:32:39: INFO : (firefox:10535): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:32:39: INFO : 
2017-09-29T22:32:39: INFO : (firefox:10535): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:32:39: INFO : 
2017-09-29T22:32:39: INFO : (firefox:10535): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:32:39: INFO : 
2017-09-29T22:32:39: INFO : (firefox:10535): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:32:39: INFO : 
2017-09-29T22:32:39: INFO : (firefox:10535): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:32:39: INFO : 
2017-09-29T22:32:39: INFO : (firefox:10535): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:32:40: INFO : 
2017-09-29T22:32:40: INFO : (/tmp/tmpICgGIL/firefox/firefox:10585): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:32:40: INFO : 
2017-09-29T22:32:40: INFO : (/tmp/tmpICgGIL/firefox/firefox:10585): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:32:40: INFO : 
2017-09-29T22:32:40: INFO : (/tmp/tmpICgGIL/firefox/firefox:10585): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:32:40: INFO : 
2017-09-29T22:32:40: INFO : (/tmp/tmpICgGIL/firefox/firefox:10585): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:32:40: INFO : 
2017-09-29T22:32:40: INFO : (/tmp/tmpICgGIL/firefox/firefox:10585): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:32:40: INFO : 
2017-09-29T22:32:40: INFO : (/tmp/tmpICgGIL/firefox/firefox:10585): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:32:50: INFO : 
2017-09-29T22:32:50: INFO : (/tmp/tmpICgGIL/firefox/firefox:10646): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:32:50: INFO : 
2017-09-29T22:32:50: INFO : (/tmp/tmpICgGIL/firefox/firefox:10646): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:32:50: INFO : 
2017-09-29T22:32:50: INFO : (/tmp/tmpICgGIL/firefox/firefox:10646): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:32:50: INFO : 
2017-09-29T22:32:50: INFO : (/tmp/tmpICgGIL/firefox/firefox:10646): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:32:50: INFO : 
2017-09-29T22:32:50: INFO : (/tmp/tmpICgGIL/firefox/firefox:10646): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:32:50: INFO : 
2017-09-29T22:32:50: INFO : (/tmp/tmpICgGIL/firefox/firefox:10646): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:33:22: INFO : Narrowed inbound regression window from [ca7d18db, 3d72fdb0] (8 builds) to [5a63d845, 3d72fdb0] (5 builds) (~2 steps left)
2017-09-29T22:33:22: INFO : Running mozilla-central build built on 2017-09-22 18:26:03.261000, revision 14db7c0b
2017-09-29T22:33:22: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.61e58a7d800b8a84d3da7c3db977830e206428a3.firefox.linux64-opt'
2017-09-29T22:33:25: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.2cd3752963fc8f24f7c202687eab55e83222f608.firefox.linux64-opt'
2017-09-29T22:33:32: WARNING : Skipping build 2cd3752963fc: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.2cd3752963fc8f24f7c202687eab55e83222f608.firefox.linux64-opt'
2017-09-29T22:33:49: INFO : Launching /tmp/tmpZ4ELbf/firefox/firefox
2017-09-29T22:33:49: INFO : Application command: /tmp/tmpZ4ELbf/firefox/firefox -profile /tmp/tmpHeFtap.mozrunner
2017-09-29T22:33:49: INFO : application_buildid: 20170922173423
2017-09-29T22:33:49: INFO : application_changeset: 14db7c0bcf9ae86c9ec2cc9d3c249a42e459a2a9
2017-09-29T22:33:49: INFO : application_display_name: Nightly
2017-09-29T22:33:49: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-09-29T22:33:49: INFO : application_name: Firefox
2017-09-29T22:33:49: INFO : application_remotingname: firefox
2017-09-29T22:33:49: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-09-29T22:33:49: INFO : application_vendor: Mozilla
2017-09-29T22:33:49: INFO : application_version: 58.0a1
2017-09-29T22:33:49: INFO : platform_buildid: 20170922173423
2017-09-29T22:33:49: INFO : platform_changeset: 14db7c0bcf9ae86c9ec2cc9d3c249a42e459a2a9
2017-09-29T22:33:49: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-09-29T22:33:49: INFO : platform_version: 58.0a1
2017-09-29T22:33:50: INFO : 
2017-09-29T22:33:50: INFO : (firefox:10734): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:33:50: INFO : 
2017-09-29T22:33:50: INFO : (firefox:10734): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:33:50: INFO : 
2017-09-29T22:33:50: INFO : (firefox:10734): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:33:50: INFO : 
2017-09-29T22:33:50: INFO : (firefox:10734): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:33:50: INFO : 
2017-09-29T22:33:50: INFO : (firefox:10734): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:33:50: INFO : 
2017-09-29T22:33:50: INFO : (firefox:10734): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:33:51: INFO : 
2017-09-29T22:33:51: INFO : (/tmp/tmpZ4ELbf/firefox/firefox:10782): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:33:51: INFO : 
2017-09-29T22:33:51: INFO : (/tmp/tmpZ4ELbf/firefox/firefox:10782): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:33:51: INFO : 
2017-09-29T22:33:51: INFO : (/tmp/tmpZ4ELbf/firefox/firefox:10782): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:33:51: INFO : 
2017-09-29T22:33:51: INFO : (/tmp/tmpZ4ELbf/firefox/firefox:10782): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:33:51: INFO : 
2017-09-29T22:33:51: INFO : (/tmp/tmpZ4ELbf/firefox/firefox:10782): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:33:51: INFO : 
2017-09-29T22:33:51: INFO : (/tmp/tmpZ4ELbf/firefox/firefox:10782): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:33:55: INFO : 
2017-09-29T22:33:55: INFO : (/tmp/tmpZ4ELbf/firefox/firefox:10841): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:33:55: INFO : 
2017-09-29T22:33:55: INFO : (/tmp/tmpZ4ELbf/firefox/firefox:10841): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:33:55: INFO : 
2017-09-29T22:33:55: INFO : (/tmp/tmpZ4ELbf/firefox/firefox:10841): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:33:55: INFO : 
2017-09-29T22:33:55: INFO : (/tmp/tmpZ4ELbf/firefox/firefox:10841): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:33:55: INFO : 
2017-09-29T22:33:55: INFO : (/tmp/tmpZ4ELbf/firefox/firefox:10841): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
2017-09-29T22:33:55: INFO : 
2017-09-29T22:33:55: INFO : (/tmp/tmpZ4ELbf/firefox/firefox:10841): GLib-GObject-CRITICAL **: g_object_unref: assertion 'object->ref_count > 0' failed
2017-09-29T22:34:23: INFO : Narrowed inbound regression window from [5a63d845, 3d72fdb0] (4 builds) to [5a63d845, 14db7c0b] (2 builds) (~1 steps left)
2017-09-29T22:34:23: DEBUG : Starting merge handling...
2017-09-29T22:34:23: DEBUG : Using url: https://hg.mozilla.org/mozilla-central/json-pushes?changeset=14db7c0bcf9ae86c9ec2cc9d3c249a42e459a2a9&full=1
2017-09-29T22:34:24: DEBUG : Found commit message:
No bug, Automated HPKP preload list update from host bld-linux64-spot-304 - a=hpkp-update

2017-09-29T22:34:24: DEBUG : Using url: https://hg.mozilla.org/integration/autoland/json-pushes?changeset=14db7c0bcf9ae86c9ec2cc9d3c249a42e459a2a9&full=1
2017-09-29T22:34:24: DEBUG : Using url: https://hg.mozilla.org/integration/mozilla-inbound/json-pushes?changeset=14db7c0bcf9ae86c9ec2cc9d3c249a42e459a2a9&full=1
2017-09-29T22:34:25: DEBUG : Using url: https://hg.mozilla.org/integration/mozilla-inbound/json-pushes?changeset=349ffbf06720713756c27e6f5f7e4f1093344517
2017-09-29T22:34:25: DEBUG : Using url: https://hg.mozilla.org/integration/mozilla-inbound/json-pushes?fromchange=349ffbf06720713756c27e6f5f7e4f1093344517&tochange=14db7c0bcf9ae86c9ec2cc9d3c249a42e459a2a9
2017-09-29T22:34:25: INFO : The bisection is done.
2017-09-29T22:34:25: INFO : Stopped
Lee, could this possibly be related to the libxcb change?  (See the symptoms in the video in comment 0).  How does KonradK check what his version of this library is?
Flags: needinfo?(lsalzman)
Can you check which version of "libxcb1" you have installed? If you are using Debian or Ubuntu you can do either:

dpkg --list libxcb1

or:

apt show libxcb1
Flags: needinfo?(lsalzman) → needinfo?(kkarpieszuk)
This is fallout from bug 1319554. Initially the X11 code that it was ported from always pushed clip rectangles. However, I added an optimization that skipped pushing clip rectangles if there was only 1, under the assumption that the DrawSurface call would only supply a rect limited to the clip anyway.

The only problem is, I didn't actually limit the rect properly in that case. This patch fixes that, and the bug here.

We're seeing the weird flashy stuff because we're drawing garbage pixels outside the clip. Once the clip is fixed, no more weird flashy stuff.
Assignee: nobody → lsalzman
Status: UNCONFIRMED → ASSIGNED
Ever confirmed: true
Attachment #8913924 - Flags: review?(a.beingessner)
Attachment #8913924 - Flags: review?(a.beingessner) → review+
[Tracking Requested - why for this release]:

Due to bug 1397918, we added a workaround for crashes with libxcb. This workaround forced us to use a fallback that had this lurking visual artifact in it. The source of this visual artifact was a hidden regression from bug 1319554, which was in 51. This may also be impacting the performance on local and remote X sessions, sending over more drawing/composition data than is needed.

Therefor, as part of the fix for bug 1397918, we will also need this fix.
Blocks: 1319554, 1397918
Has Regression Range: --- → yes
Has STR: --- → yes
OS: Unspecified → Linux
Priority: P2 → P1
Version: Trunk → 51 Branch
Pushed by lsalzman@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/19c2892e7a3a
limit WindowSurfaceX11Image::Commit to clip bounds. r=gankro
Sorry for late answer, but is needed info. I am using Ubuntu 14.04 LTS

---------------------
konrad@konrad-TOSHIBA:~$ dpkg --list libxcb1
Wybór:U=nieznany/I=instalacja/R=usunięcie/P=wyczyszczenie/H=zatrzymanie
| Stan:N=brak/I=zainstalowany/C=skonfigurowany/U=rozpakowany/
|/  F=częśc. skonfigurowany/H=częśc. zainstalowany/W=wyzw. czek./T=wyzw. zapl.
|| Błędy?=(brak)/R-do pon. inst. (duże litery w "Stan" i "Błędy"=problemy)
||/ Nazwa          Wersja       Architektura Opis
+++-==============-============-============-=================================
ii  libxcb1:amd64  1.10-2ubuntu amd64        X C Binding
ii  libxcb1:i386   1.10-2ubuntu i386         X C Binding
Flags: needinfo?(kkarpieszuk)
https://hg.mozilla.org/mozilla-central/rev/19c2892e7a3a
Status: ASSIGNED → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla58
Thanks! It is fixed now indeed! :) You guys really rock!
Hi Lee, could you please nominate a patch for uplift to beta57?
Flags: needinfo?(lsalzman)
Comment on attachment 8913924 [details] [diff] [review]
limit WindowSurfaceX11Image::Commit to clip bounds

Approval Request Comment
[Feature/Bug causing the regression]: bug 1319554
[User impact if declined]: Visual artifacts and possible performance issues on older Linux distributions and remote sessions.
[Is this code covered by automated tests?]: yes
[Has the fix been verified in Nightly?]: yes
[Needs manual test from QE? If yes, steps to reproduce]: no 
[List of other uplifts needed for the feature/fix]:
[Is the change risky?]: no
[Why is the change risky/not risky?]: This fixes a year old bug that I accidentally introduced into the code in bug 1319554, by making it behave the way I actually intended. We were drawing to the window outside of the actual invalidation region, whereas this fix makes it so we stay within that invalidation region.
[String changes made/needed]: none
Flags: needinfo?(lsalzman)
Attachment #8913924 - Flags: approval-mozilla-esr52?
Attachment #8913924 - Flags: approval-mozilla-beta?
Duplicate of this bug: 1405276
Comment on attachment 8913924 [details] [diff] [review]
limit WindowSurfaceX11Image::Commit to clip bounds

I should not have asked for a beta uplift on this one, sorry! Looking at this bug again, it isn't a recent regression. The 57 uplift acceptance criteria is mostly centered around new severe regressions introduced by Quantum, Photon, Stylo and other 57-features. We should let this fix ride the 58 train.
Attachment #8913924 - Flags: approval-mozilla-beta? → approval-mozilla-beta-
(In reply to Ritu Kothari (:ritu) from comment #16)
> Comment on attachment 8913924 [details] [diff] [review]
> limit WindowSurfaceX11Image::Commit to clip bounds
> 
> I should not have asked for a beta uplift on this one, sorry! Looking at
> this bug again, it isn't a recent regression. The 57 uplift acceptance
> criteria is mostly centered around new severe regressions introduced by
> Quantum, Photon, Stylo and other 57-features. We should let this fix ride
> the 58 train.

This is a recent and rather big regression in the sense that it was aggravated by bug 1397918, which was a necessary stability fix. As a follow-on to that fix, this fix is also necessary to fix a lurking bug it exposed.

Milan, can we get this reassessed please?
Flags: needinfo?(milan)
In that context, it makes sense to uplift, it's a second patch to bug 1397918 that was uplifted.  I can't change approval-mozilla-beta to ? though :)  Ritu?
Flags: needinfo?(milan) → needinfo?(rkothari)
Ok. I understand. Thanks for the additional context. Trust you both. Will A+ now.
Flags: needinfo?(rkothari)
Attachment #8913924 - Flags: approval-mozilla-beta- → approval-mozilla-beta+
(In reply to Lee Salzman [:lsalzman] from comment #14)
> [Is this code covered by automated tests?]: yes
> [Has the fix been verified in Nightly?]: yes
> [Needs manual test from QE? If yes, steps to reproduce]: no

Setting qe-verify- based on Lee's assessment on manual testing needs and the fact that this fix has automated coverage.
Flags: qe-verify-
Hmmm, if this is caused (or just exacerbated) by bug 1397918, I just said no to uplifting the patch in that bug to ESR because it seemed to only affect a couple of people. And we try to keep changes in ESR to a minimum, in theory just serious security issues, or major stability or feature problems, especially past the first couple of ESR releases in a major cycle. Can we live with this till the next ESR change? Is it something that affects just a particular distro, that they could patch?
Flags: needinfo?(lsalzman)
(In reply to Liz Henry (:lizzard) (needinfo? me) from comment #22)
> Hmmm, if this is caused (or just exacerbated) by bug 1397918, I just said no
> to uplifting the patch in that bug to ESR because it seemed to only affect a
> couple of people. And we try to keep changes in ESR to a minimum, in theory
> just serious security issues, or major stability or feature problems,
> especially past the first couple of ESR releases in a major cycle. Can we
> live with this till the next ESR change? Is it something that affects just a
> particular distro, that they could patch?

The problem is that assumes people will be willing to switch to 59 ESR. There may be people who will be stuck on 52 ESR for any number of reasons, voluntary or involuntary. This issue here affects all distros, new and old, it is just that bug 1397918 makes it far more common to run into it.
Flags: needinfo?(lsalzman)
I still end up on the side of :  based on the data I can actually see, bug 1397918 only seems to affect 1 or 2 ESR users per week, with a possible but unknown security benefit. And if we do uplift it to ESR then it causes this regression which means more uplifts, which means more risk of regressions.
Comment on attachment 8913924 [details] [diff] [review]
limit WindowSurfaceX11Image::Commit to clip bounds

Not sure of the benefit here, not security driven or strongly stability driven.
Attachment #8913924 - Flags: approval-mozilla-esr52? → approval-mozilla-esr52-
You need to log in before you can comment on or make changes to this bug.